dvb_table_pat Struct Reference
Digital TV table parsing

MPEG-TS PAT table. More...

`#include <pat.h>`

## Data Fields

struct dvb_table_header | header
uint16_t | programs
struct dvb_table_pat_program * | program

## Detailed Description

MPEG-TS PAT table.

Parameters

  header | struct dvb_table_header content
  programs | number of programs
  program | pointer to struct dvb_table_pat_program

This structure is used to store the original PAT table, converting the integer fields to the CPU endianness.

The undocumented parameters are used only internally by the API and/or are fields that are reserved. They shouldn't be used, as they may change on future API releases.

Everything after dvb_table_pat_program::program (including it) won't be bit-mapped to the data parsed from the MPEG TS. So, metadata are added there.

Definition at line 108 of file pat.h.

## Field Documentation

## header

struct dvb_table_header dvb_table_pat::header

Definition at line 109 of file pat.h.

## program

struct dvb_table_pat_program* dvb_table_pat::program

Definition at line 111 of file pat.h.

## programs

uint16_t dvb_table_pat::programs

Definition at line 110 of file pat.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/pat.h